﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;

using SuperMap.Desktop;
using SuperMap.Data;
using SuperMap.Mapping;
using SuperMap.UI;
using SuperMap.Desktop.UI;

namespace SuperMap.Desktop.Samples
{
    //this class must inherit from CtrlAction or implement ICtrlAction
    class _CtrlActionExportExcel : CtrlAction
    {
        //use base class (CtrlAction) constructor with parameters

        public _CtrlActionExportExcel(IBaseItem caller)
            : base(caller)
        {

        }

        //The action performed when the Export button is clicked
        public override void Run()
        {
            try
            {
                IDockBar dbExportExcel = Application.ActiveApplication.MainForm.DockBarManager[typeof(Export)];
                dbExportExcel.Visible = true;
                dbExportExcel.DockStyle = System.Windows.Forms.DockStyle.None;
                dbExportExcel.Control.Size = new System.Drawing.Size(300, 100);
                dbExportExcel.Control.Location = new Point(300, 300);
               
            }
            catch (Exception ex)
            {
                Application.ActiveApplication.Output.Output(ex.StackTrace);
            }
        }

        public override Boolean Enable()
        {
            Boolean enable = false;
            try
            {
                //First get the workspace object of the current form
                Workspace Wkspace = Application.ActiveApplication.Workspace;
                Datasources objDss = Wkspace.Datasources;
                int DsCount = objDss.Count;

                if (DsCount == 0)
                {
                    enable = false;
                }
                else
                {
                    enable = true;
                }

            }
            catch
            {

            }
            return enable;
        }
    }
}
